# Uses of Class
it.tdlight.jni.TdApi.DownloadedFileCounts

## Uses of TdApi.DownloadedFileCounts in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.DownloadedFileCounts
Modifier and Type
Field
Description
`TdApi.DownloadedFileCounts`
TdApi.UpdateFileAddedToDownloads.`counts`
New number of being downloaded and recently downloaded files found.
`TdApi.DownloadedFileCounts`
TdApi.UpdateFileDownload.`counts`
New number of being downloaded and recently downloaded files found.
`TdApi.DownloadedFileCounts`
TdApi.UpdateFileRemovedFromDownloads.`counts`
New number of being downloaded and recently downloaded files found.
`TdApi.DownloadedFileCounts`
TdApi.FoundFileDownloads.`totalCounts`
Total number of suitable files, ignoring offset.
Constructors in it.tdlight.jni with parameters of type TdApi.DownloadedFileCounts
Modifier
Constructor
Description
``
`FoundFileDownloads(TdApi.DownloadedFileCounts totalCounts, TdApi.FileDownload[] files, String nextOffset)`
Contains a list of downloaded files, found by a search.
``
`UpdateFileAddedToDownloads(TdApi.FileDownload fileDownload, TdApi.DownloadedFileCounts counts)`
A file was added to the file download list.
``
`UpdateFileDownload(int fileId, int completeDate, boolean isPaused, TdApi.DownloadedFileCounts counts)`
A file download was changed.
``
`UpdateFileRemovedFromDownloads(int fileId, TdApi.DownloadedFileCounts counts)`
A file was removed from the file download list.